org.fourthline.cling.model

## Interface Constants

-     public interface Constants

  Shared and immutable settings.
  Author:
    Christian Bauer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ARG_TYPE_PREFIX`
    `static String` | `IPV4_UPNP_MULTICAST_GROUP`
    `static String` | `IPV6_UPNP_ADMINISTRATIVE_ADDRESS`
    `static String` | `IPV6_UPNP_GLOBAL_ADDRESS`
    `static String` | `IPV6_UPNP_LINK_LOCAL_ADDRESS`
    `static String` | `IPV6_UPNP_SITE_LOCAL_ADDRESS`
    `static String` | `IPV6_UPNP_SUBNET_ADDRESS`
    `static int` | `MIN_ADVERTISEMENT_AGE_SECONDS`
    `static String` | `NS_UPNP_CONTROL_10`
    `static String` | `NS_UPNP_EVENT_10`
    `static String` | `REGEX_ID`
    `static String` | `REGEX_NAMESPACE`
    `static String` | `REGEX_TYPE`
    `static String` | `REGEX_UDA_NAME`
    `static String` | `SOAP_NS_ENVELOPE`
    `static String` | `SOAP_URI_ENCODING_STYLE`
    `static String` | `SYSTEM_PROPERTY_ANNOUNCE_MAC_ADDRESS`
    `static int` | `UPNP_MULTICAST_PORT`

- - ### Field Detail

    - #### SYSTEM_PROPERTY_ANNOUNCE_MAC_ADDRESS

          static final String SYSTEM_PROPERTY_ANNOUNCE_MAC_ADDRESS

      See Also:
        Constant Field Values

    - #### UPNP_MULTICAST_PORT

          static final int UPNP_MULTICAST_PORT

      See Also:
        Constant Field Values

    - #### IPV4_UPNP_MULTICAST_GROUP

          static final String IPV4_UPNP_MULTICAST_GROUP

      See Also:
        Constant Field Values

    - #### IPV6_UPNP_LINK_LOCAL_ADDRESS

          static final String IPV6_UPNP_LINK_LOCAL_ADDRESS

      See Also:
        Constant Field Values

    - #### IPV6_UPNP_SUBNET_ADDRESS

          static final String IPV6_UPNP_SUBNET_ADDRESS

      See Also:
        Constant Field Values

    - #### IPV6_UPNP_ADMINISTRATIVE_ADDRESS

          static final String IPV6_UPNP_ADMINISTRATIVE_ADDRESS

      See Also:
        Constant Field Values

    - #### IPV6_UPNP_SITE_LOCAL_ADDRESS

          static final String IPV6_UPNP_SITE_LOCAL_ADDRESS

      See Also:
        Constant Field Values

    - #### IPV6_UPNP_GLOBAL_ADDRESS

          static final String IPV6_UPNP_GLOBAL_ADDRESS

      See Also:
        Constant Field Values

    - #### MIN_ADVERTISEMENT_AGE_SECONDS

          static final int MIN_ADVERTISEMENT_AGE_SECONDS

      See Also:
        Constant Field Values

    - #### REGEX_NAMESPACE

          static final String REGEX_NAMESPACE

      See Also:
        Constant Field Values

    - #### REGEX_TYPE

          static final String REGEX_TYPE

      See Also:
        Constant Field Values

    - #### REGEX_ID

          static final String REGEX_ID

      See Also:
        Constant Field Values

    - #### REGEX_UDA_NAME

          static final String REGEX_UDA_NAME

      See Also:
        Constant Field Values

    - #### SOAP_NS_ENVELOPE

          static final String SOAP_NS_ENVELOPE

      See Also:
        Constant Field Values

    - #### SOAP_URI_ENCODING_STYLE

          static final String SOAP_URI_ENCODING_STYLE

      See Also:
        Constant Field Values

    - #### NS_UPNP_CONTROL_10

          static final String NS_UPNP_CONTROL_10

      See Also:
        Constant Field Values

    - #### NS_UPNP_EVENT_10

          static final String NS_UPNP_EVENT_10

      See Also:
        Constant Field Values

    - #### ARG_TYPE_PREFIX

          static final String ARG_TYPE_PREFIX

      See Also:
        Constant Field Values

Copyright © 2014 4th Line GmbH, Switzerland. All Rights Reserved.